<template>
<div>
  <div v-if="itemType ===0">
    <el-table id="items" :data="curLectureItems2" style="width: 1400px;">
      <el-table-column
				align="center"
				label="No."
				prop="index"
				width="100">
			</el-table-column>
      <el-table-column
        align="center"
        width="100"
        prop="std_name"
        label="학생명">
      </el-table-column>
      <el-table-column
        align="center"
        prop="email"
        label="이메일">
      </el-table-column>
      <el-table-column
        align="center"
        prop="attend_date"
        label="출석일">
      </el-table-column>
      <el-table-column
        align="center"
				width="100"
        prop="attending"
        label="출석 유무">
      </el-table-column>
    </el-table>
  </div>
</div>
</template>
<script>
import { mapActions, mapState, mapGetters, mapMutations } from 'vuex';

export default {
  name: 'ReportLectureItem',
  props: ['itemType'],
  data() {
    return {
      multipleSelection: [],
      scoreChangedItemId: [],
    };
  },
  computed: {
    ...mapState('attendance', ['lectureList', 'curLectureItems', 'curLectureItems2', 'curStep', 'curLectureId']),
    ...mapGetters('NNclass', [
      'currentTeachingClass',
    ]),
    classId() {
      const vm = this;
      return Number.parseInt(vm.$route.params.classId, 10);
    },
  },
  methods: {
    ...mapActions('attendance', ['getLectureList', 'getLectureItemList', 'postLectureResult', 'getClassResult']),
    ...mapMutations('attendance', ['updateCurStep', 'updateCurState']),
  },
};

</script>